angular.module('IDRMAGISOFT').controller('OpcionesController', InitController);
InitController.$inject = ['$scope', '$state', '$sessionStorage', 'servicios', '$interval', '$http'];
function InitController($scope, $state, $sessionStorage, servicios, $interval, $http) {

    $scope.MostrarSubOpcion = true;

    $scope.OpcionTitulo = "";
    
    CargarOpcionesNivel();
    function CargarOpcionesNivel(){
        $http.get("app/model/Servidor.php?accion=CargarSubOpciones")
            .then(function (response) {
                var dato = response.data.respuesta;
                if(dato == "Error"){
                }else{  
                    $scope.MostrarOpcion = false;
                    $scope.MostrarSubOpcion = true;
                    $scope.anchor = "60%;";
                    $scope.felxDirection = "column;";
                    $scope.flexwrap = "";
                    $scope.subOpciones = response.data.respuesta;
                    $scope.OpcionTitulo = response.data.opcion;
                }
            });
    }

    $scope.ClicSubOpcion = function(nombreSubOpcion,idSubOpcion) {
        $sessionStorage.nivel = nombreSubOpcion;
        $scope.ValidarIrCedula();
    }

    $scope.ValidarIrCedula = function() {
        $http.get("app/model/Servidor.php?accion=PermisoCedula")
            .then(function (response) {
                if(response.data.respuesta[0] == '0' || response.data.respuesta[0] == 0){
                    $state.go("Sercivios");
                }else{
                    $state.go("Cedula");
                }
            });
    }

}